Back to forum.wakfu.com

By continuing to browse this website, you consent to the use of cookies, which enable us to offer you customised content and to collect site-visit statistics.
Click on this link for more information on cookies, and to customise your cookie preferences. X

Almanax 27 Novamaire
Skank Hivin
The Skank Hivin festival owes its name to a Dragoturkey breeder. He was so jealous of his cousin, ...

No flash

Get the new Updater now!
Lead Community Manager * Member Since 2012-02-28
posté October 18, 2013, 16:45:00 | #1
Get the new Updater now! Following the update of October 8, WAKFU was updated to Java 6. This led to several updating issues for Max users, but also all those still using the old Updater. To solve these issues, we invited all those impacted to download the new version of the Updater.


We know that many of you are still unsure where to get the new updater.

That’s why we modified the download page, allowing you to download the new Updater directly.

This change was supposed to happen smoothly and automatically by the end of 2013. We even talked about it in this Devblog. But following many issues that appeared with the last update, we decided to release this Updater ahead of schedule.

In order to use this updater, you will have to completely uninstall the game (don’t forget to delete all WAKFU files from your computer), and reinstall it following this download link, or by selecting one of these versions:
With this change, we also updated the minimal and recommended settings:
  • Minimum requirements
Processor: Pentium® IV 2.8 GHz
Memory: 512 MB RAM
Video Card: GeForce 4Ti (or ATI equivalent) or higher
OS: Windows® XP or higher, Mac® 10.5.8 or higher (64-bit), Linux
Hard Disk Space: 950 MB
Internet connection: 56 kbps
  • Recommended configuration
Processor: Pentium® IV 2.8 GHz
Memory: 1GB RAM
Video Card: GeForce 6 series (or ATI equivalent) or higher
OS: Windows® XP or higher, Mac® 10.6 or higher (64-bit), Linux
Hard Disk Space: 1.2 GB
Internet connection: 128k ADSL

If you still experience issues, we made sure to implement explicit error messages and clickable links that should redirect you to the proper service.
If your game works correctly, you can of course ignore this process and keep playing as usual.

Note however that the old updater will automatically update to the new one for Windows users in November. Mac and Linux users on the other hand will have to download their new updater manually.

Thank you for your understanding.


Featherless Piwi * Member Since 2012-11-19
posté October 18, 2013, 17:10:18 | #2
This is very good if Ankama consider in wakfu players Problems....



Eccentric Moogrr * Member Since 2012-05-14
posté October 18, 2013, 17:13:16 | #3
hmm...



Grizzled Dandelion * Member Since 2012-09-29
posté October 18, 2013, 17:13:22 | #4
the set up its in French language, Is not a big trouble, but could you guys do an English version ??


Eccentric Moogrr * Member Since 2012-05-14
posté October 18, 2013, 17:13:51 | #5
this is so darn bad...


waaaaaait.... maybe its awesome...
sorry


Lead Community Manager * Member Since 2012-02-28
posté October 18, 2013, 17:39:48 | #6

Quote (BobCrazy @ 18 October 2013 17:13) *
the set up its in French language, Is not a big trouble, but could you guys do an English version ??

This will be fixed soon. Sorry about that.


Squited Arachnee * Member Since 2009-09-05
posté October 18, 2013, 18:22:26 | #7
An important note for those that have made screenshots while playing Wakfu!!!

When Wakfu is uninstalled, all your screenshots will be automatically deleted, this issue has not yet been fixed!!

All of your settings and map tokens will also be reset!


If you want keep your screenshots and all of your map tokens you must go to your installation Wakfu directory (Usually this is: C:\Program Files (x86)\Wakfu) and copy/move the following directories / folders:
-screenshots (containing your screenshots obviously)
-clientConfig (containing all of your map tokens and some of your settings)

If you want to save the rest of your settings (chat window sizes etc) then also copy the "characterPreferences-" files in the main directory.


Good luck with updating!


Nun Shall Pass * Member Since 2012-01-05
posté October 18, 2013, 19:52:16 | #8
Fair warning: Ever since I use this (have to use it, since old one is broken) the game is running really bad for me and for most people I talk to as well.

I made several threads on forums about this: Lag, inability to get proper pathfinding working, cannot unselect spells etc.

No Mac user here, everyone I spoke to uses Windows.


Eccentric Moogrr * Member Since 2012-07-15
posté October 18, 2013, 20:10:31 | #9
I really like the new Ankama launchers for both Dofus and Wakfu. Wakfu features some awesome little links to the site! Plus, its just CUTE. Plain. And. Simple. Nothing else to add, its beautiful in my perspective. My game actually STOPPED lagging once I downloaded this new launcher a few days ago!

-Firlow-


Squited Arachnee * Member Since 2009-09-05
posté October 18, 2013, 21:29:30 | #10

Quote (Shaleigh1 @ 18 October 2013 19:52) *
Fair warning: Ever since I use this (have to use it, since old one is broken) the game is running really bad for me and for most people I talk to as well.

I made several threads on forums about this: Lag, inability to get proper pathfinding working, cannot unselect spells etc.

No Mac user here, everyone I spoke to uses Windows.
This can't be a updater / launcher problem though...
Since all the launcher does is update and launch the game ^^;

If you really think it's the launcher's fault, try starting the game directly (by starting wakfu.exe in the installation directory) if your game is running perfectly fine when you do that then you should consider posting a message on the bug forum.


Grizzled Dandelion * Member Since 2011-07-04
posté October 19, 2013, 00:53:03 | #11
I wouldnt reccomend using this just yet, my version is just crashing when it says its searching for updates...

~Jazza

My previous problem was solved by downloading the "Microsoft Visual C++ 2005 Redistributable Package (x64)". Still id reccomend staying away from the new isntaller untill all the bugs are solved

~Jazza


Featherless Piwi * Member Since 2012-02-13
posté October 19, 2013, 03:39:57 | #12
As an Ubuntu user, please don't forget to properly accommodate and adjust for the newly released 13.10 users, soon - thank you. c:


This post has been edited by IharaC - October 19, 2013, 03:55:16.
Squited Arachnee * Member Since 2006-04-28
posté October 19, 2013, 05:25:41 | #13
This updater solved all of my problems following the 1.28 release. I would not have installed it if everything was working correctly though.


Nun Shall Pass * Member Since 2012-01-05
posté October 19, 2013, 06:09:02 | #14

Quote (Kuroyanko @ 18 October 2013 21:29) *

Quote (Shaleigh1 @ 18 October 2013 19:52) *
Fair warning: Ever since I use this (have to use it, since old one is broken) the game is running really bad for me and for most people I talk to as well.

I made several threads on forums about this: Lag, inability to get proper pathfinding working, cannot unselect spells etc.

No Mac user here, everyone I spoke to uses Windows.
This can't be a updater / launcher problem though...
Since all the launcher does is update and launch the game ^^;

If you really think it's the launcher's fault, try starting the game directly (by starting wakfu.exe in the installation directory) if your game is running perfectly fine when you do that then you should consider posting a message on the bug forum.


Well, the game version is changed as well, but true that is the case for everyone not just for those with the new launcher. The new layout etc indicates it.

Also, as I pointed out there I did not only post one thread already and so did others. This seems to be a pretty widerspread problem for a majority of players.


Featherless Piwi * Member Since 2011-10-21
posté October 24, 2013, 13:47:30 | #15
where i can change the language of the game?
The new updater hasn't the flags!


posté November 16, 2013, 17:42:28 | #16
Just a note, but doesn't correctly realize that I'm on a 64-bit linux system. It downloads the x86 version instead. I've been having issues with combat not working, and have been lead to believe it could be the updater's fault. Only upon stumbling onto this posting did I become aware there even was a 64-bit updater. (I'm on Debian Wheezy).

And it scrubbed out the URL I posted to the download page. In any case, I was referring to the download page when I meant that it was linking me to the x86 and not the 64-bit updater.


Featherless Piwi * Member Since 2013-05-13
posté November 16, 2013, 19:20:41 | #17
Looks like the new laucher solves the problem. No error messages and the game's ok... Thanks guys